## mx4j.tools.remote.rmi
Class SSLRMIClientSocketFactory

    java.lang.Object
      mx4j.tools.remote.rmi.SSLRMIClientSocketFactory

All Implemented Interfaces:
  java.rmi.server.RMIClientSocketFactory, java.io.Serializable

public class SSLRMIClientSocketFactory
extends java.lang.Object
implements java.rmi.server.RMIClientSocketFactory, java.io.Serializable

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Constructor Summary
`SSLRMIClientSocketFactory()`

Method Summary
`java.net.Socket` `createSocket(java.lang.String host, int port)`
`boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLRMIClientSocketFactory

    public SSLRMIClientSocketFactory()

Method Detail

### createSocket

    public java.net.Socket createSocket(java.lang.String host,
                                        int port)
                                 throws java.io.IOException

  Specified by:
    `createSocket` in interface `java.rmi.server.RMIClientSocketFactory`
  Throws:
    `java.io.IOException`

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.